"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.echo = void 0;
const elements_1 = require("../elements");

/**
 * Creates an `echo` command
 * (actually it writes to `process.stdout` directly instead of `echo`).
 */
const echo = (s) =>
  elements_1.cmdEx(async () => {
    process.stdout.write(`${s}\n`);
    return;
  }, `echo ${s}`);
exports.echo = echo;
