import { Command } from "../types";

/**
 * Callback to be passed to `depthFirstSearch()`.
 * Should return `true` to return `command` and stop traversing.
 */
export declare type CallbackFunction = (
  command: Command,
  depth: number
) => boolean;

/**
 * Runs `callback` for `topCommand` and all of its descendants in a
 * depth-first order, until it finds any `Command` that matches the predicate.
 */
export declare const depthFirstSearch: (
  topCommand: Command,
  callback: CallbackFunction,
  currentDepth?: number
) => Command | undefined;
